Logger
Keywords: uk.ac.ic.doc.automed.p2p.util.Logger class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.util
Class Logger

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.util.Logger

    public class Logger

extends java.lang.Object

Author:
  Charis TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`Logger()`

Method Summary
`static void` | `debug(java.lang.Class cls, java.lang.String method, java.lang.String info)` Overloading method to display more information about a debug message
`static void` | `debug(java.lang.Object object)`
`static void` | `debug(java.lang.String info)`
`static void` | `error(java.lang.String error)`
`static void` | `error(java.lang.String error, java.lang.Throwable t)`
`static void` | `error(java.lang.Throwable t)`
`static void` | `info(java.lang.Class cls, java.lang.String method, java.lang.String info)` Overloading method to display more information about a message
`static void` | `info(java.lang.String info)`
`static void` | `warn(java.lang.String warning)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Logger

    public Logger()

Method Detail

### info

    public static void info(java.lang.String info)

### info

    public static void info(java.lang.Class cls,
                            java.lang.String method,
                            java.lang.String info)

  Overloading method to display more information about a message

### warn

    public static void warn(java.lang.String warning)

### error

    public static void error(java.lang.String error)

### error

    public static void error(java.lang.String error,
                             java.lang.Throwable t)

### error

    public static void error(java.lang.Throwable t)

### debug

    public static void debug(java.lang.String info)

### debug

    public static void debug(java.lang.Object object)

### debug

    public static void debug(java.lang.Class cls,
                             java.lang.String method,
                             java.lang.String info)

  Overloading method to display more information about a debug message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD